Tuples.InValue (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Tuples.InValue

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Terminal
  - - org.apache.cassandra.cql3.Tuples.InValue

- All Implemented Interfaces:
    Term
  Enclosing class:
    Tuples

      public static class Tuples.InValue
      extends Term.Terminal

  A terminal value for a list of IN values that are tuples. For example: "SELECT ... WHERE (a, b, c) IN ?" This is similar to Lists.Value, but allows us to keep components of the tuples in the list separate.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.Term

      `Term.MultiColumnRaw, Term.MultiItemTerminal, Term.NonTerminal, Term.Raw, Term.Terminal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InValue(java.util.List<java.util.List<java.nio.ByteBuffer>> items)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Tuples.InValue` | `fromSerialized(java.nio.ByteBuffer value, ListType type, QueryOptions options)`
    `java.nio.ByteBuffer` | `get(ProtocolVersion protocolVersion)`
    `java.util.List<java.util.List<java.nio.ByteBuffer>>` | `getSplitValues()`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Terminal

      `addFunctionsTo, bind, bindAndGet, collectMarkerSpecification, containsBindMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InValue

          public InValue(java.util.List<java.util.List<java.nio.ByteBuffer>> items)

  - ### Method Detail

    - #### fromSerialized

          public static Tuples.InValue fromSerialized(java.nio.ByteBuffer value,
                                                      ListType type,
                                                      QueryOptions options)
                                               throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### get

          public java.nio.ByteBuffer get(ProtocolVersion protocolVersion)

      Specified by:
        `get` in class `Term.Terminal`
      Returns:
        the serialized value of this terminal.

    - #### getSplitValues

          public java.util.List<java.util.List<java.nio.ByteBuffer>> getSplitValues()

Copyright © 2018 The Apache Software Foundation